Bug 172177 - AssertionError: Call only in AWT queue.
AssertionError: Call only in AWT queue.
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Dialogs&Wizards
6.x
All All
: P3 (vote)
: TBD
Assigned To: Jiri Rechtacek
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 14:12 UTC by Maksim Khramov
Modified: 2009-10-07 00:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.50 KB, text/plain)
2009-09-14 14:12 UTC, Maksim Khramov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maksim Khramov 2009-09-14 14:12:45 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-3923-on-090911)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) Platform, Standard Edition for Business, 1.6.0_15-b03
OS: Windows XP, 5.1, x86

Stacktrace: 
java.lang.AssertionError: Call only in AWT queue.
        at org.openide.WizardDescriptor.updateButtonAccessibleDescription(WizardDescriptor.java:1370)
        at org.openide.WizardDescriptor.access$2300(WizardDescriptor.java:127)
        at org.openide.WizardDescriptor$PropL.propertyChange(WizardDescriptor.java:2150)
        at org.openide.util.WeakListenerImpl$PropertyChange.propertyChange(WeakListenerImpl.java:188)
        at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
        at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
Comment 1 Maksim Khramov 2009-09-14 14:12:50 UTC
Created attachment 87607 [details]
stacktrace
Comment 2 Jiri Rechtacek 2009-10-02 10:24:23 UTC
fixed in core-main/rev/77a1defdacf8
Comment 3 Quality Engineering 2009-10-05 08:46:32 UTC
Integrated into 'main-golden', will be available in build *200910030241* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/77a1defdacf8
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #172177: AssertionError: Call only in AWT queue.
Comment 4 Quality Engineering 2009-10-07 00:03:31 UTC
Integrated into 'main-golden', will be available in build *200910061401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/77a1defdacf8
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #172177: AssertionError: Call only in AWT queue.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo